<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: C:/Data/Git/MeLOn/common/inc/modelParser.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('model_parser_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">modelParser.h</div></div>
</div><!--header-->
<div class="contents">
<a href="model_parser_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**********************************************************************************</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment">* Copyright (c) 2020 Process Systems Engineering (AVT.SVT), RWTH Aachen University</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment">*</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment">* This program and the accompanying materials are made available under the</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment">* terms of the Eclipse Public License 2.0 which is available at</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment">* http://www.eclipse.org/legal/epl-2.0.</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment">*</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment">* SPDX-License-Identifier: EPL-2.0</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment">*</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment">* @file modelParser.h</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="comment">* @brief File containing declaration of the ModelParser class.</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="comment">*</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="comment">**********************************************************************************/</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span> </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="preprocessor">#pragma once</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span> </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="preprocessor">#include &lt;string&gt;</span>           <span class="comment">// std::string</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span><span class="preprocessor">#include &quot;<a class="code" href="exceptions_8h.html">exceptions.h</a>&quot;</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span><span class="preprocessor">#include &quot;<a class="code" href="model_data_8h.html">modelData.h</a>&quot;</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span><span class="preprocessor">#include &quot;<a class="code" href="scaler_8h.html">scaler.h</a>&quot;</span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span> </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span><span class="keyword">namespace </span><a class="code hl_namespace" href="namespacemelon.html">melon</a> {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span> </div>
<div class="foldopen" id="foldopen00030" data-start="{" data-end="};">
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="namespacemelon.html#a4304be33fc99f22bd328db5774394531">   30</a></span>    <span class="keyword">enum</span> <a class="code hl_enumeration" href="namespacemelon.html#a4304be33fc99f22bd328db5774394531">MODEL_FILE_TYPE</a> {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="namespacemelon.html#a4304be33fc99f22bd328db5774394531a6a25a8815b9ce41cb44aec7974135a23">   31</a></span>        <a class="code hl_enumvalue" href="namespacemelon.html#a4304be33fc99f22bd328db5774394531a6a25a8815b9ce41cb44aec7974135a23">CSV</a> = 0,</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="namespacemelon.html#a4304be33fc99f22bd328db5774394531a85425286917a906087af8aa4f28b99e7">   32</a></span>        <a class="code hl_enumvalue" href="namespacemelon.html#a4304be33fc99f22bd328db5774394531a85425286917a906087af8aa4f28b99e7">XML</a>,</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <a class="code hl_enumvalue" href="namespacemelon.html#a4304be33fc99f22bd328db5774394531aaa1153b20d42a497e239ee88cc90fe6d">JSON</a></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="namespacemelon.html#a4304be33fc99f22bd328db5774394531aaa1153b20d42a497e239ee88cc90fe6d">   34</a></span>    };</div>
</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span> </div>
<div class="foldopen" id="foldopen00040" data-start="{" data-end="};">
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="classmelon_1_1_model_parser.html">   40</a></span>    <span class="keyword">class </span><a class="code hl_class" href="classmelon_1_1_model_parser.html">ModelParser</a> {</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    <span class="keyword">public</span>:</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="classmelon_1_1_model_parser.html#ac7d0b1a14fcfe2a609487c402d7edb3f">   51</a></span>        <span class="keyword">virtual</span> std::shared_ptr&lt;ModelData&gt; <a class="code hl_function" href="classmelon_1_1_model_parser.html#ac7d0b1a14fcfe2a609487c402d7edb3f">parse_model</a>(<span class="keyword">const</span> std::string modelPath, <span class="keyword">const</span> std::string modelName = <span class="stringliteral">&quot;&quot;</span>) = 0;</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span> </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="classmelon_1_1_model_parser.html#a1797eba4c97ed24dcb60b874c1d59bde">   57</a></span>        <span class="keyword">virtual</span> <a class="code hl_function" href="classmelon_1_1_model_parser.html#a1797eba4c97ed24dcb60b874c1d59bde">~ModelParser</a>() = <span class="keywordflow">default</span>;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span> </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    <span class="keyword">protected</span>:</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno"><a class="line" href="classmelon_1_1_model_parser.html#a1be76f5606faa2afdad693f26dd1660a">   60</a></span>        std::string <a class="code hl_variable" href="classmelon_1_1_model_parser.html#a1be76f5606faa2afdad693f26dd1660a">_modelPath</a>;         </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="classmelon_1_1_model_parser.html#ac7d5473b675b9595aee8db5f44a5a2c1">   61</a></span>        std::string <a class="code hl_variable" href="classmelon_1_1_model_parser.html#ac7d5473b675b9595aee8db5f44a5a2c1">_modelName</a>;         </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        std::string <a class="code hl_function" href="classmelon_1_1_model_parser.html#a38cba45beb94be7372469315f017576c">_format_file_path</a>(<span class="keyword">const</span> std::string modelPath, <span class="keyword">const</span> std::string modelName, <span class="keyword">const</span> <a class="code hl_enumeration" href="namespacemelon.html#a4304be33fc99f22bd328db5774394531">MODEL_FILE_TYPE</a> fileType);</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span> </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        std::string <a class="code hl_function" href="classmelon_1_1_model_parser.html#a2631bf777f02fa3deefa3391affedf0b">_format_folder_path</a>(<span class="keyword">const</span> std::string modelPath);</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span> </div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        <span class="keyword">static</span> <a class="code hl_enumeration" href="namespacemelon.html#a7ee65995944832d7b450202201d45c11">SCALER_TYPE</a> <a class="code hl_function" href="classmelon_1_1_model_parser.html#a079c906eccf340590701dba8d6a776d9">_string_to_scaler_type</a>(<span class="keyword">const</span> std::string scalerTypeName);</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span> </div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        <span class="keyword">static</span> <a class="code hl_enumeration" href="namespacemelon.html#a7c96133788161408370e83766fc229ce">SCALER_PARAMETER</a> <a class="code hl_function" href="classmelon_1_1_model_parser.html#ab2a5a119986e39a4f951d9952e5d209e">_string_to_scaler_parameter</a>(<span class="keyword">const</span> std::string scalerParameterName);</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>    };</div>
</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span> </div>
<div class="foldopen" id="foldopen00108" data-start="{" data-end="};">
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno"><a class="line" href="classmelon_1_1_model_parser_factory.html">  108</a></span>    <span class="keyword">class </span><a class="code hl_class" href="classmelon_1_1_model_parser_factory.html">ModelParserFactory</a> {</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>    <span class="keyword">public</span>:</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span> </div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno"><a class="line" href="classmelon_1_1_model_parser_factory.html#ac2fbebe2e5990174227796616d1a196f">  118</a></span>        <span class="keyword">virtual</span> std::unique_ptr&lt;ModelParser&gt; <a class="code hl_function" href="classmelon_1_1_model_parser_factory.html#ac2fbebe2e5990174227796616d1a196f">create_model_parser</a>(<span class="keyword">const</span> <a class="code hl_enumeration" href="namespacemelon.html#a4304be33fc99f22bd328db5774394531">MODEL_FILE_TYPE</a> fileType = <a class="code hl_enumvalue" href="namespacemelon.html#a4304be33fc99f22bd328db5774394531a6a25a8815b9ce41cb44aec7974135a23">MODEL_FILE_TYPE::CSV</a>) = 0;</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>    };</div>
</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>}</div>
<div class="ttc" id="aclassmelon_1_1_model_parser_factory_html"><div class="ttname"><a href="classmelon_1_1_model_parser_factory.html">melon::ModelParserFactory</a></div><div class="ttdoc">This class is a abstract parent class for model parser factories implemented in the MeLOn library.</div><div class="ttdef"><b>Definition</b> modelParser.h:108</div></div>
<div class="ttc" id="aclassmelon_1_1_model_parser_factory_html_ac2fbebe2e5990174227796616d1a196f"><div class="ttname"><a href="classmelon_1_1_model_parser_factory.html#ac2fbebe2e5990174227796616d1a196f">melon::ModelParserFactory::create_model_parser</a></div><div class="ttdeci">virtual std::unique_ptr&lt; ModelParser &gt; create_model_parser(const MODEL_FILE_TYPE fileType=MODEL_FILE_TYPE::CSV)=0</div><div class="ttdoc">Abstract factory function for creating a instance of an model parser corresponding to the specified f...</div></div>
<div class="ttc" id="aclassmelon_1_1_model_parser_html"><div class="ttname"><a href="classmelon_1_1_model_parser.html">melon::ModelParser</a></div><div class="ttdoc">This class is a abstract parent class for model parser implemented in the MeLOn library.</div><div class="ttdef"><b>Definition</b> modelParser.h:40</div></div>
<div class="ttc" id="aclassmelon_1_1_model_parser_html_a079c906eccf340590701dba8d6a776d9"><div class="ttname"><a href="classmelon_1_1_model_parser.html#a079c906eccf340590701dba8d6a776d9">melon::ModelParser::_string_to_scaler_type</a></div><div class="ttdeci">static SCALER_TYPE _string_to_scaler_type(const std::string scalerTypeName)</div><div class="ttdoc">Turns a string containing the name of an scaler type in the correct enum representation.</div><div class="ttdef"><b>Definition</b> modelParser.cpp:126</div></div>
<div class="ttc" id="aclassmelon_1_1_model_parser_html_a1797eba4c97ed24dcb60b874c1d59bde"><div class="ttname"><a href="classmelon_1_1_model_parser.html#a1797eba4c97ed24dcb60b874c1d59bde">melon::ModelParser::~ModelParser</a></div><div class="ttdeci">virtual ~ModelParser()=default</div><div class="ttdoc">Virtual desctructor to enable inheritance.</div></div>
<div class="ttc" id="aclassmelon_1_1_model_parser_html_a1be76f5606faa2afdad693f26dd1660a"><div class="ttname"><a href="classmelon_1_1_model_parser.html#a1be76f5606faa2afdad693f26dd1660a">melon::ModelParser::_modelPath</a></div><div class="ttdeci">std::string _modelPath</div><div class="ttdef"><b>Definition</b> modelParser.h:60</div></div>
<div class="ttc" id="aclassmelon_1_1_model_parser_html_a2631bf777f02fa3deefa3391affedf0b"><div class="ttname"><a href="classmelon_1_1_model_parser.html#a2631bf777f02fa3deefa3391affedf0b">melon::ModelParser::_format_folder_path</a></div><div class="ttdeci">std::string _format_folder_path(const std::string modelPath)</div><div class="ttdoc">Applies the correct format to the path given by the user.</div><div class="ttdef"><b>Definition</b> modelParser.cpp:86</div></div>
<div class="ttc" id="aclassmelon_1_1_model_parser_html_a38cba45beb94be7372469315f017576c"><div class="ttname"><a href="classmelon_1_1_model_parser.html#a38cba45beb94be7372469315f017576c">melon::ModelParser::_format_file_path</a></div><div class="ttdeci">std::string _format_file_path(const std::string modelPath, const std::string modelName, const MODEL_FILE_TYPE fileType)</div><div class="ttdoc">Applies the correct format to the path given by the user.</div><div class="ttdef"><b>Definition</b> modelParser.cpp:28</div></div>
<div class="ttc" id="aclassmelon_1_1_model_parser_html_ab2a5a119986e39a4f951d9952e5d209e"><div class="ttname"><a href="classmelon_1_1_model_parser.html#ab2a5a119986e39a4f951d9952e5d209e">melon::ModelParser::_string_to_scaler_parameter</a></div><div class="ttdeci">static SCALER_PARAMETER _string_to_scaler_parameter(const std::string scalerParameterName)</div><div class="ttdoc">Turns a string containing the name of an scaler type in the correct enum representation.</div><div class="ttdef"><b>Definition</b> modelParser.cpp:144</div></div>
<div class="ttc" id="aclassmelon_1_1_model_parser_html_ac7d0b1a14fcfe2a609487c402d7edb3f"><div class="ttname"><a href="classmelon_1_1_model_parser.html#ac7d0b1a14fcfe2a609487c402d7edb3f">melon::ModelParser::parse_model</a></div><div class="ttdeci">virtual std::shared_ptr&lt; ModelData &gt; parse_model(const std::string modelPath, const std::string modelName=&quot;&quot;)=0</div><div class="ttdoc">Abstract function for defining the structure of the parsing function which is used to get the model d...</div></div>
<div class="ttc" id="aclassmelon_1_1_model_parser_html_ac7d5473b675b9595aee8db5f44a5a2c1"><div class="ttname"><a href="classmelon_1_1_model_parser.html#ac7d5473b675b9595aee8db5f44a5a2c1">melon::ModelParser::_modelName</a></div><div class="ttdeci">std::string _modelName</div><div class="ttdef"><b>Definition</b> modelParser.h:61</div></div>
<div class="ttc" id="aexceptions_8h_html"><div class="ttname"><a href="exceptions_8h.html">exceptions.h</a></div></div>
<div class="ttc" id="amodel_data_8h_html"><div class="ttname"><a href="model_data_8h.html">modelData.h</a></div></div>
<div class="ttc" id="anamespacemelon_html"><div class="ttname"><a href="namespacemelon.html">melon</a></div><div class="ttdef"><b>Definition</b> kernel.h:21</div></div>
<div class="ttc" id="anamespacemelon_html_a4304be33fc99f22bd328db5774394531"><div class="ttname"><a href="namespacemelon.html#a4304be33fc99f22bd328db5774394531">melon::MODEL_FILE_TYPE</a></div><div class="ttdeci">MODEL_FILE_TYPE</div><div class="ttdoc">Enum for representing the parsable filetypes.</div><div class="ttdef"><b>Definition</b> modelParser.h:30</div></div>
<div class="ttc" id="anamespacemelon_html_a4304be33fc99f22bd328db5774394531a6a25a8815b9ce41cb44aec7974135a23"><div class="ttname"><a href="namespacemelon.html#a4304be33fc99f22bd328db5774394531a6a25a8815b9ce41cb44aec7974135a23">melon::CSV</a></div><div class="ttdeci">@ CSV</div><div class="ttdef"><b>Definition</b> modelParser.h:31</div></div>
<div class="ttc" id="anamespacemelon_html_a4304be33fc99f22bd328db5774394531a85425286917a906087af8aa4f28b99e7"><div class="ttname"><a href="namespacemelon.html#a4304be33fc99f22bd328db5774394531a85425286917a906087af8aa4f28b99e7">melon::XML</a></div><div class="ttdeci">@ XML</div><div class="ttdef"><b>Definition</b> modelParser.h:32</div></div>
<div class="ttc" id="anamespacemelon_html_a4304be33fc99f22bd328db5774394531aaa1153b20d42a497e239ee88cc90fe6d"><div class="ttname"><a href="namespacemelon.html#a4304be33fc99f22bd328db5774394531aaa1153b20d42a497e239ee88cc90fe6d">melon::JSON</a></div><div class="ttdeci">@ JSON</div><div class="ttdef"><b>Definition</b> modelParser.h:33</div></div>
<div class="ttc" id="anamespacemelon_html_a7c96133788161408370e83766fc229ce"><div class="ttname"><a href="namespacemelon.html#a7c96133788161408370e83766fc229ce">melon::SCALER_PARAMETER</a></div><div class="ttdeci">SCALER_PARAMETER</div><div class="ttdef"><b>Definition</b> scaler.h:41</div></div>
<div class="ttc" id="anamespacemelon_html_a7ee65995944832d7b450202201d45c11"><div class="ttname"><a href="namespacemelon.html#a7ee65995944832d7b450202201d45c11">melon::SCALER_TYPE</a></div><div class="ttdeci">SCALER_TYPE</div><div class="ttdoc">Enum for representing the available types of scalers.</div><div class="ttdef"><b>Definition</b> scaler.h:31</div></div>
<div class="ttc" id="ascaler_8h_html"><div class="ttname"><a href="scaler_8h.html">scaler.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_bdd9a5d540de89e9fe90efdfc6973a4f.html">common</a></li><li class="navelem"><a class="el" href="dir_a065f42410ce59d310ee6ca453a28844.html">inc</a></li><li class="navelem"><a class="el" href="model_parser_8h.html">modelParser.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
